#ifndef CAPTAIN_WIDGET_H
#define CAPTAIN_WIDGET_H

#include <QtGui>
#include "ui_captainWidget.h"

///Widget, where the captain of crew is displayed.
class CaptainWidget : public QWidget {
	Q_OBJECT

private:
	Ui::CaptainWidget ui_;
signals:
	void addCrewButtonClickedSignal();
	void removeCrewButtonClickedSignal();

private slots:
	void addCrewButtonClickedSlot();
	void removeCrewButtonClickedSlot();
public:
	CaptainWidget(QWidget * parent);

	void setDescription(const std::wstring & value);

	/**< Sets captain status data */
	void setStatus(unsigned long long healthy, unsigned long long wounded);
};

#endif